package com.cxy.classroll.student.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cxy.classroll.model.entity.User;
import com.cxy.classroll.model.form.AuthenticationForm;
import com.cxy.classroll.model.vo.IdentifyAndID;

import java.util.List;

public interface CommonService extends IService<User> {
    //微信小程序登录接口
    IdentifyAndID login(String code);

    Boolean authentication(AuthenticationForm authenticationForm);

    User getUserInfo(Long id);

    Boolean updateUserScore(Long id, int scoreChange);

    Boolean studentSignInClass(Long user_id, Long lesson_id);

    Boolean studentSignOutClass(Long user_id, Long lesson_id);

    String classroll(Long lesson_id, int roll_method);

    List<User> scoreRank();

    Boolean teacherComment(Long lesosn_id, String student_no, int score);

    List<String> leesonStudentNoList(Long lesson_id);
}
